﻿;***qDoc***
;============
;
;Enuemerate document demo program.  This demo lists all the files in a qDocument selected by the user.
;/////////////////////////////////////////////////////////////////////////////////

XIncludeFile "../qDoc.pbi"

Define myDoc.qDoc_DocumentObject

;Open a file requester.
  fileName$ = OpenFileRequester("Choose a compound document...", "", "All files (*.*)|*.*", 0)
  If fileName$ = ""
    End
  EndIf

;Open the chosen compound document.
  myDoc = qDoc_OpenDocument(fileName$)
  If myDoc
    numFiles = myDoc\BeginFileList()
    Debug "Entries found..." + Str(numFiles)
    For i = 0 To numFiles-1
      fileName$ = myDoc\GetFileListEntry(i)
      Debug "    '" + fileName$ + "', size (bytes) = " +Str(myDoc\GetFileSize(fileName$))
    Next
    myDoc\FinishFileList()
    myDoc\Close()
  EndIf



; IDE Options = PureBasic 5.21 LTS (Windows - x86)
; ExecutableFormat = Shared Dll
; CursorPosition = 30
; EnableUnicode
; EnableXP
; Executable = nxReportU.dll